<template>
  <base-card>
    <h3>Komentarze</h3>
    <div v-for="comment in comments" :key="comment['content']" class="border">
      <h4>{{ comment["user"] }}</h4>
      <p>{{ comment["content"] }}</p>
    </div>

    <div class="border">
      <new-comment :report-id="reportId"></new-comment>
    </div>
  </base-card>
</template>
<script setup>
import NewComment from "@/components/NewComment.vue";
import { defineProps } from "vue";

defineProps(["comments", "reportId"]);
</script>

<style scoped>
h3 {
  font-size: 1.5rem;
}

h3,
h4 {
  margin: 0.5rem 0;
}

div {
  margin: 1rem 0;
  padding: 1rem;
}

.border {
  border: 1px solid #424242;
  border-radius: 12px;
}
</style>
